Unit tde91r_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE91R_p, FJDE91R_p, DE91R_p;

function tde91r: String;

implementation

function tde91r: String;
var
M,IH,IERR :Integer;
XN,HMIN,EPS,P,XK,Y4,T1,Y3,T2,A,B,C,Y2,T3,DD,FF,GG,QQ,Y1,H :Real;
YN :Array [0..3] of Real;
Y :Array [0..3] of Real;
R :Array [0..80] of Real;
label
_10;
begin
Result := '';  {   }
M := 4;
XN := 0.0;
YN[0] := 1.0;
YN[1] := 1.0;
YN[2] := 1.0;
YN[3] := 1.0;
HMIN := 1.E-10;
EPS := 1.E-2;
P := 100.0;
XK := 20.0;
{  BCEHE TOHOO PEEH CCTEM: }
Y4 := Exp(-0.1*XK);
T1 := Exp(-XK);
Y3 := -(9.1/0.9)*T1 + (10.0/0.9)*Y4;
T2 := Exp(-1.E3*XK);
A := -91.0/(0.9*999.0);
B := 91.0/(0.9*999.9);
C := 1.0-A-B;
Y2 := C*T2+A*T1+B*Y4;
T3 := Exp(-1.E4*XK);
DD := C/90.0;
FF := (100.0*A+91.0/0.9)/9999.0;
GG := (100.0*B-100.0/0.9+1.0)/9999.9;
QQ := 1.0-DD-FF-GG;
Y1 := QQ*T3+DD*T2+FF*T1+GG*Y4;
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [Y1,Y2,Y3,Y4]) + #$0D#$0A;
IH := 0;
_10:
IH := IH + 1;
H := 0.01;
DE91R (FDE91R,FJDE91R,M,XN,YN,XK,HMIN,EPS,P,H,Y,R,IERR);
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format('%s',[' EPS= ']);
Result := Result + Format('%20.16f ',[EPS]) + #$0D#$0A;
Result := Result + Format('%s',[' ']) + #$0D#$0A; 
Result := Result + Format(' %20.16f  %20.16f  %20.16f  %20.16f ',
 [Y[0],Y[1],Y[2],Y[3]]) + #$0D#$0A;
Result := Result + Format('%s',[' H= ']);
Result := Result + Format('%20.16f ',[H]) + #$0D#$0A;
EPS := EPS*1.E-1;
if ( IH < 3 ) 
 then goto _10;
UtRes('tde91r',Result);  {     tde91r.res }
exit;
end;

end.
